| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Well::ElasticModelComputer Class Reference
Well

Extraction of an ElasticModel from Well::Data either from the time-depth model or from at least a velocity Log. More...

`#include <wellelasticmodelcomputer.h>`

## Public Member Functions
| ElasticModelComputer (const Data &)
| ElasticModelComputer (const Data &, const Log &vel, const Log *den=nullptr, const Log *svel=nullptr)
| ~ElasticModelComputer ()
bool | computeFromDTModel ()
bool | computeFromLogs ()
const ElasticModel & | elasticModel () const
const uiString & | errMsg () const
bool | setDenLog (const Log &)
void | setExtractionPars (float step, bool intime)
void | setLogs (const Log &vel, const Log *den=nullptr, const Log *svel=nullptr)
bool | setSVelLog (const Log &)
bool | setVelLog (const Log &)
void | setZrange (const Interval< float > &zrg, bool istime)
const uiString & | warnMsg () const

## Protected Member Functions
bool | extractLogs ()
float | getDensity (int) const
bool | getLogUnits ()
float | getLogVal (int logidx, int sampidx) const
float | getSVel (int) const
float | getVelp (int) const

## Protected Attributes
ElasticModel | emodel_
uiString | errmsg_
bool | extractintime_ = false
ObjectSet< const Log > | inplogs_
LogSampler * | ls_ = nullptr
LogSampler * | lsnearest_ = nullptr
ObjectSet< const UnitOfMeasure > | uomset_
bool | velpissonic_ = false
uiString | warnmsg_
ConstRefMan< Data > | wd_
Interval< float > | zrange_ = Interval<float>::udf()
bool | zrgistime_ = false
float | zstep_ = mUdf(float)

## Detailed Description

Extraction of an ElasticModel from Well::Data either from the time-depth model or from at least a velocity Log.

<>

## Constructor & Destructor Documentation

## ◆ ElasticModelComputer() [1/2]

Well::ElasticModelComputer::ElasticModelComputer | ( | const Data & |  | ) |

## ◆ ElasticModelComputer() [2/2]

Well::ElasticModelComputer::ElasticModelComputer | ( | const Data & | ,
|  | const Log & | vel,
|  | const Log * | den = nullptr,
|  | const Log * | svel = nullptr )

## ◆ ~ElasticModelComputer()

Well::ElasticModelComputer::~ElasticModelComputer | ( |  | ) |

## Member Function Documentation

## ◆ computeFromDTModel()

bool Well::ElasticModelComputer::computeFromDTModel | ( |  | ) |

Logs won't be used - not yet implemented

## ◆ computeFromLogs()

bool Well::ElasticModelComputer::computeFromLogs | ( |  | ) |

Set at least the velocity log before

## ◆ elasticModel()

const ElasticModel & Well::ElasticModelComputer::elasticModel | ( |  | ) | const
| inline

## ◆ errMsg()

const uiString & Well::ElasticModelComputer::errMsg | ( |  | ) | const
| inline

## ◆ extractLogs()

bool Well::ElasticModelComputer::extractLogs | ( |  | ) |
| protected

## ◆ getDensity()

float Well::ElasticModelComputer::getDensity | ( | int |  | ) | const
| protected

## ◆ getLogUnits()

bool Well::ElasticModelComputer::getLogUnits | ( |  | ) |
| protected

## ◆ getLogVal()

float Well::ElasticModelComputer::getLogVal | ( | int | logidx,
|  | int | sampidx ) const
| protected

## ◆ getSVel()

float Well::ElasticModelComputer::getSVel | ( | int |  | ) | const
| protected

## ◆ getVelp()

float Well::ElasticModelComputer::getVelp | ( | int |  | ) | const
| protected

## ◆ setDenLog()

bool Well::ElasticModelComputer::setDenLog | ( | const Log & |  | ) |

## ◆ setExtractionPars()

void Well::ElasticModelComputer::setExtractionPars | ( | float | step,
|  | bool | intime )

Parameters

  step | must be in SI units (meters or seconds).

## ◆ setLogs()

void Well::ElasticModelComputer::setLogs | ( | const Log & | vel,
|  | const Log * | den = nullptr,
|  | const Log * | svel = nullptr )

## ◆ setSVelLog()

bool Well::ElasticModelComputer::setSVelLog | ( | const Log & |  | ) |

## ◆ setVelLog()

bool Well::ElasticModelComputer::setVelLog | ( | const Log & |  | ) |

## ◆ setZrange()

void Well::ElasticModelComputer::setZrange | ( | const Interval< float > & | zrg,
|  | bool | istime )

Parameters

  zrg | must be in SI units (meters or seconds).

## ◆ warnMsg()

const uiString & Well::ElasticModelComputer::warnMsg | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ emodel_

ElasticModel Well::ElasticModelComputer::emodel_
| protected

## ◆ errmsg_

uiString Well::ElasticModelComputer::errmsg_
| protected

## ◆ extractintime_

bool Well::ElasticModelComputer::extractintime_ = false
| protected

## ◆ inplogs_

ObjectSet<const Log> Well::ElasticModelComputer::inplogs_
| protected

## ◆ ls_

LogSampler* Well::ElasticModelComputer::ls_ = nullptr
| protected

## ◆ lsnearest_

LogSampler* Well::ElasticModelComputer::lsnearest_ = nullptr
| protected

## ◆ uomset_

ObjectSet<const UnitOfMeasure> Well::ElasticModelComputer::uomset_
| protected

## ◆ velpissonic_

bool Well::ElasticModelComputer::velpissonic_ = false
| protected

## ◆ warnmsg_

uiString Well::ElasticModelComputer::warnmsg_
| protected

## ◆ wd_

ConstRefMan<Data> Well::ElasticModelComputer::wd_
| protected

## ◆ zrange_

Interval<float> Well::ElasticModelComputer::zrange_ = Interval<float>::udf()
| protected

## ◆ zrgistime_

bool Well::ElasticModelComputer::zrgistime_ = false
| protected

## ◆ zstep_

float Well::ElasticModelComputer::zstep_ = mUdf(float)
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025